--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: searcher
- !ruby/object:RI::MethodSummary 
  name: source_index
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: BUNDLED_SPECS
  value: File.join(Dir.pwd, "gems", "specifications")
- !ruby/object:RI::Constant 
  comment: 
  name: MAIN_INDEX
  value: Gem::SourceIndex.from_gems_in(BUNDLED_SPECS)
- !ruby/object:RI::Constant 
  comment: 
  name: FALLBACK_INDEX
  value: Gem::SourceIndex.from_installed_gems
full_name: Gem
includes: []

instance_methods: []

name: Gem
superclass: 
